Bug 1695379 - Update syspurpose status handling to match Candlepin
Summary: Update syspurpose status handling to match Candlepin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1695378 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 00:40 UTC by Jonathon Turel
Modified: 2019-10-07 17:18 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.43-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:41 UTC
Foreman Issue Tracker 26516 None None None 2019-04-03 00:40:14 UTC

Description Jonathon Turel 2019-04-03 00:40:14 UTC
Candlepin has been updated to change reporting around syspurpose status: https://github.com/candlepin/candlepin/pull/2194/files

- Invalid is now Mismatched
- Valid is now Matched

Above two changes affect host search ie "sla_status = invalid" is now "sla_status = mismatched" same for purpose_status, role_status, usage_status, addons_status

- Not Specified (new)

New hosts will no longer show "Matched" on content host details but rather "Not Specified" Hosts without any purpose attributes set will show Not Specified

Summary of what the statuses mean, from Candlepin code:

    /*
     * The status is 'Matched' if at least one syspurpose attribute (SLA, role, addons, usage) is specified,
     * and all of those that are specified are satisfied by the consumer's entitlements.
     *
     * The status is 'Mismatched' if at least one syspurpose attribute (SLA, role, addons, usage)
     * is specified, and from those specified, at least one is not satisfied by the consumer's entitlements.
     * (This includes the scenario of multiple addons being specified, where only some but not all of them
     * are satisfied)
     *
     * The status is 'Not Specified' when NONE of the attributes were specified by the consumer at all.
     */

Comment 1 Jonathon Turel 2019-04-03 00:40:16 UTC
Created from redmine issue https://projects.theforeman.org/issues/26516

Comment 2 Jonathon Turel 2019-04-03 00:40:17 UTC
Upstream bug assigned to jturel@redhat.com

Comment 4 Bryan Kearney 2019-04-03 18:04:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26516 has been resolved.

Comment 10 Stephen Wadeley 2019-04-15 09:33:13 UTC
Created attachment 1555174 [details]
sla_status now has three search options

Hello

Testing on latest snap

Fixed in version says:  tfm-rubygem-katello-3.10.0.43-1

I have:
[root@sat6-5-macvtap ~]# rpm -q tfm-rubygem-katello
tfm-rubygem-katello-3.10.0.46-1.el7sat.noarch


I see three search options:
sla_status = matched
sla_status = mismatched
sla_status = not_specified

Thank you

Comment 11 Brad Buckingham 2019-04-16 14:58:11 UTC
*** Bug 1695378 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2019-05-14 12:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.